/*  xmlstruct  Structures for storing parse tree produced by
    limited XML parser (just tags, no text).
    Last modified 1998-02-28

    Copyright (C) 1998  David Flater.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#define YYDEBUG 1

#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <signal.h>
// #include <unistd.h>
#include <assert.h>
#include <string.h>
#include <time.h>
// #include <sys/time.h>
#include <ctype.h>
#include <iostream.h>
#include <iomanip.h>
#include <errno.h>
#include <sys/stat.h>
// #include <sys/utsname.h>
#include <sys/types.h>
// #include <sys/ioctl.h>
// #include <sys/socket.h>
// #include <sys/wait.h>
#include <fcntl.h>

#include "dstr.hh"

#define XMLPARSE 0

struct xmlattribute {
  Dstr *name;
  Dstr *value;
  struct xmlattribute *next;
};

struct xmltag {
  Dstr *name;
  struct xmlattribute *attributes;
  struct xmltag *contents;
  struct xmltag *next;
};

ostream &operator<< (ostream &out, const struct xmltag *v);
ostream &operator<< (ostream &out, const struct xmlattribute *v);

void freexml (struct xmltag *v);
void freexml (struct xmlattribute *v);

typedef union {
  struct xmltag *tag;
  struct xmlattribute *attribute;
  Dstr *value;
} YYSTYPE;
#define	NAME	258
#define	ATTVALUE	259
#define	XMLSTART	260

extern void xmlerror (const char *);

extern YYSTYPE xmllval;
extern Dstr xmlfilename;

