#if (OS_VER < 35)
#include <Common.h>
#include <System/SysAll.h>
#include <UI/UIAll.h>
#else
#include <PalmOS.h>
#include <PalmCompatibility.h> 
#endif

#include "sysinclude.h"
#include "tidelib.h"

char *AssertFile;
int AssertLine;
enum State ComputeState;
int DayofWeek;
time_t LocalDateNow;
struct place *Place;
struct placedat *PlaceDat;
struct placeoff *PlaceOff;
time_t TimeToDisplay;
float *cst_epochs;
float *cst_nodes;
float *cst_speeds;
enum TideEvent dis_fall, dis_high, dis_low, dis_rise;
int first_year;
long latitude, longitude;
float loc_amp[MAX_CSTS];
float loc_epoch[MAX_CSTS];
long meridian, tmeridian;
float coeff_amp[MAX_CSTS], coeff_epoch[MAX_CSTS];
long coeff_tmeridian;
double coeff_datum;
DBIndex coeff_PlaceIndex = -1;
Boolean coeff_swapped;
Boolean coeff_computing;
Boolean coeff_displaying;
time_t coeff_time;
struct coeff_value coeff_values[MAX_COEFFS];
int ncoeffs;

int minoff, maxoff;			/* Max and min time offsets for an offset location */
int num_csts;
int num_epochs;
int num_nodes;
struct TimeZone *timezone;
int unit;
int year;
double DATUM;
float absmax, absmin;
time_t faketime = 0;		/* GMT time to begin computation */
Boolean DisplayDef = false;
DBIndex PlaceIndex = -1;		/* current place index in database file */
time_t midnight_start;	/* Start display at this time */

unsigned long RomVersion = 0;	/* Version of Palm OS ROM */
char decimal_point;
int RegTableTop;

/*
 *	Routines to overcome far call limitations
 */
void far_InitializeTime() { InitializeTime(); }
struct tm * far_LocalTimeToDST( LocalTime_t* t) { return LocalTimeToDST(t); }
void far_do_timestamp (char *buf, char *dbuf, struct tm *t) { do_timestamp (buf, dbuf, t); }
int far_CloseLocList(void) { return CloseLocList(); }
void far_LatLonToA(char *latlon, long ll, char *which) { LatLonToA(latlon, ll, which); }
void far_HandleUnlock(struct DBHandle *d) { HandleUnlock(d); }
