#define MAXLOCSTR 60				/* Must be same as in database definitions */
#define RTBLROWS 9				/* Rows in regional database table */
#define LOCROWHT 11				/* Height of rows in locations list */

#define MainForm 1000
#define LocForm  1001
#define UnitsForm 1002
#define FindForm 1003
#define CurrForm 1004
#define PrefForm 1005
#define RegsForm 1006

#define MainHelp 1300
#define LocHelp  1301
#define UnitsHelp 1302
#define FindHelp 1303
#define RegHelp 1304
#define PrefHelp 1305
#define GRAPHTAPME 1310
#define GRAPHTAPMEG 1311
#define BEAMWHAT 1312

#define CANTRENAMEDB 1187
#define BADFLOAT    1188
#define NOSORTMEM   1189		/********** Can this be non-fatal? *************/
#define CANTDELETEDBONCARD 1190
#define TOOMANYARGDBS 1191
#define DUPLOCDB    1192
#define RECENTBUG   1193
#define NOCURRENTS  1194
#define CANTDISABLE 1195
#define DBDELETE	  1197
#define DBINFO	  1198
#define LOSTPREFS	  1199
#define ERRSTRING   1200
#define MISSINGYEAR 1201			/* Nonfatal errors lower than this */
#define FATALERRORS 1202			/* Fatal errors higher than this */
#define NODATABASE  1203
#define BADDATABASE 1204
#define ASSERTFAIL  1205
#define NOLOCNBASE  1206
#define BADLOCNBASE 1207
#define INCOMPATBASE 1209
#define FLOATOFLOW  1210
#define BADDBASE    1211
#define TOOMANYLOCS 1212
#define OUTOFMEM    1216
#define OLDDBASE    1218
#define DBINROM     1220
#define NOGPSPOS    1221
#define DBINFOPLUS  1223
#define SUNINFO	  1224
#define MOONINFO	  1225

#define NEWLOC    2001
#define NEWDATE   2002
#define OTHERTYPE 2003
#define PREVLOC   2004

#define TCGROUP 2
#define LISTIDES 2082
#define LISTCURR 2083
#define LISTREC  2084

#define LOCNITEMS 8

#define OKLOCS   2006
#define CANLOCS  2007
#define LABTIDES 2008
#define LABCURR  2009
#define EDITLOCS 2010	/* Buttons for editor */
#define NEWLOCS  2011
#define DELLOCS  2012

#define TPGROUP 3
#define TPREF0   2091
#define TPREF1   2092
#define TPREF2   2093
#define TPREF3   2094

#define HPGROUP 4
#define HPREFFT  2041
#define HPREFM   2042
#define HPREFIN  2043
#define HPREFDF  2044

#define CPGROUP 5
#define CPREFKT  2045
#define CPREFMI  2046
#define CPREFKM  2047
#define CPREFM   2048
#define CPREFFT  2049
#define CPREFDF  2050

#define CPREF    2054

#define OKUNITS  2051
#define CANUNITS 2052

#define DPREFDST 2053
#define DPRALON  2054
#define DPRALVAL 2055
#define DPRALUNT 2056
#define DPRALTRG 2057

#define PPGROUP 6
#define PPINCLUDE 2058
#define PPIGNORE  2059

#define PPCOLOR  2060
#define OKPREFS  2061
#define CANPREFS 2062

#define FXGROUP 7
#define FCPROX   2071
#define FCSRCH   2072
#define FCSET    2073
#define FCSET_Y 80
#define FCCKS_X 0
#define FCTXT_X 15

#define LLGROUP 5
#define LatDTens	2017
#define LatDUnits	2018
#define LatMTens	2019
#define LatMUnits	2020
#define LatSTens	2021
#define LatSUnits	2022
#define LatNS	2023
#define LonDTens	2024
#define LonDUnits	2025
#define LonMTens	2026
#define LonMUnits	2027
#define LonSTens	2028
#define LonSUnits	2029
#define LonEW	2030
#define LatUp	2031
#define LatDn	2032

#define OKFIND	2033
#define CANFIND	2034
#define FCField	2035
#define FINDLOCS	2036
#define FINDGPS	2037

/* For Editor Current Offset Location Menu */
#define CURCol1	70
#define CURCol2	120
#define OKCURR	2101
#define CANCURR	2102
#define CURREFSTA 2103
#define CURRField 2104

#define OFFGROUP  6
#define TOFF1	2110
#define TOFF2	2111
#define TOFF3	2112
#define TOFF4	2113
#define ROFF1	2114
#define ROFF2	2115

#define REGTABLE  2120
#define OKREG	2121
#define CANREG	2122
#define REGLIST   2123
#define REGSCROLL 2124

/* Editor Main Menu */
#define EDMAIN_X 10
#define RegionList 2201

#define WEEKGROUP 1
#define WeekBack 1101
#define WeekMon  1102
#define WeekTue  1103
#define WeekWed  1104
#define WeekThu  1105
#define WeekFri  1106
#define WeekSat  1107
#define WeekSun  1108
#define WeekFwd  1109
#define MainHelpPB 1113

#define LocList  1110
#define LocScrollbar 1111

#define AboutTT   3002
#define TTWarning 3003
#define UKDATA    3004			/* This number is used in generating the database */

#define MENUID    3100
#define M_UNITS   3101
#define M_DBASE   3102
#define M_ABOUT   3103
#define M_MEM     3104
#define M_LICENSE 3105
#define M_TZONE	3106
#define M_MOON    3107
#define M_SUN     3108
#define M_LOCATION 3109
#define M_PREFS	3110
#define M_BEAM    3111
#define MENUID_NOBEAM 3112

#define MOON_BM0  3201
#define MOON_BM1  3202
#define MOON_BM2  3203
#define MOON_BM3  3204
#define MOON_BM4  3205
#define MOON_BM5  3206
#define MOON_BM6  3207
#define MOON_BM7  3208
#define MOON_BM8  3209
#define MOON_BM9  3210
#define MOON_BM10 3211
#define MOON_BM11 3212
#define SUN_BM0   3213
#define SUN_BM1   3214
#define SUN_BM2   3215


